import numpy as np
from sklearn.model_selection import train_test_split
import matplotlib.pyplot as plt

# Leemos los datos de entrada
X = np.loadtxt( "datos.txt" )
print( X.shape )

# el modelo que se ajustó:
# f(x) = -0.2828582*x + 1.0056936712168703
vfx = 0.04797985*X[:,0]*X[:,0]  - 0.60793239*X[:,0] + 1.3931557186442216

# Separamos los datos para entrenamiento y prueba
# Por defecto los separa como:
# 75% de entrenamiento
# 25% de prueba
X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X[:,0], X[:,1], random_state=2 )

print( X_entrena.shape )
print( y_entrena.shape )

fig, Ax = plt.subplots( nrows=1, ncols=2)

Ax[0].scatter( X_entrena, y_entrena )
Ax[0].plot( X[:,0], vfx )
Ax[1].scatter( X_prueba, y_prueba )
Ax[1].plot( X[:,0], vfx )

plt.show( )


